## xgboost-predictor-java 0.3.1+dfsg

=== Makefile ===
.PHONY: test build

DOCKER = docker
DOCKER_JDK_IMAGE = openjdk:7
CONTAINER_NAME = xgboost-predictor-builder

# https://github.com/docker-library/openjdk/issues/117#issuecomment-307222367
workaround_sslexception = sed -i -e 's/^jdk.certpath.disabledAlgorithms=/jdk.certpath.disabledAlgorithms=ECDSA, /' /usr/lib/jvm/java-7-openjdk-amd64/jre/lib/security/java.security

test:
	$(DOCKER) run --rm -it \
		--name $(CONTAINER_NAME) \
		-v ~/.gradle:/root/.gradle \
		-v $(PWD):/work \
		-w /work \
		$(DOCKER_JDK_IMAGE) \
		/bin/bash -c "$(workaround_sslexception) && ./gradlew clean test --no-daemon"

build:
	$(DOCKER) run --rm -it \
		--name $(CONTAINER_NAME) \
		-v ~/.gradle:/root/.gradle \
		-v $(PWD):/work \
		-w /work \
		$(DOCKER_JDK_IMAGE) \
		/bin/bash -c "$(workaround_sslexception) && ./gradlew clean build --no-daemon"

=== debian/changelog ===
xgboost-predictor-java (0.3.1+dfsg-3) unstable; urgency=medium

  * Raising Standards version to 4.7.2 (no change)
  * Marking libxgboost-predictor-java as Multi-Arch: foreign.

 -- Pierre Gruet <pgt@debian.org>  Tue, 19 Aug 2025 14:39:39 +0200

xgboost-predictor-java (0.3.1+dfsg-2) unstable; urgency=medium

  * Source-only upload to unstable

 -- Pierre Gruet <pgt@debian.org>  Thu, 07 Apr 2022 14:20:14 +0200

xgboost-predictor-java (0.3.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #1008572)

 -- Pierre Gruet <pgt@debian.org>  Fri, 01 Apr 2022 18:30:44 +0200

=== debian/control ===
Source: xgboost-predictor-java
Section: science
Priority: optional
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Pierre Gruet <pgt@debian.org>
Build-Depends: debhelper-compat (= 13),
               default-jdk-headless,
               gradle-debian-helper,
               junit4 <!nocheck>,
               libhamcrest-java <!nocheck>,
               maven-repo-helper
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/deeplearning-team/xgboost-predictor-java
Vcs-Git: https://salsa.debian.org/deeplearning-team/xgboost-predictor-java.git
Homepage: https://github.com/komiya-atsushi/xgboost-predictor-java
Rules-Requires-Root: no

Package: libxgboost-predictor-java
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Java implementation of XGBoost predictor for online prediction tasks
 XGBoost is an optimized distributed gradient boosting library designed to be
 highly efficient, flexible and portable. It implements machine learning
 algorithms under the Gradient Boosting framework. XGBoost provides a parallel
 tree boosting (also known as GBDT, GBM) that solve many data science problems
 in a fast and accurate way. The same code runs on major distributed
 environment (Kubernetes, Hadoop, SGE, MPI, Dask) and can solve problems beyond
 billions of examples.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=gradle --with maven_repo_helper

override_dh_auto_clean:
	dh_auto_clean
	# Cleaning the custom pom file and transformed poms file
	-rm debian/libxgboost-predictor-java.poms
	-rm debian/pom.xml

override_dh_auto_configure:
	# Putting the version number in the custom pom and in the poms file to grasp
	# the built jar.
	sed 's/\(VERSION_PACKAGE\)/\1$(DEB_VERSION_UPSTREAM)/; s/VERSION_PACKAGE\(.*\)+dfsg[0-9]*/\1/' debian/libxgboost-predictor-java.poms.in > debian/libxgboost-predictor-java.poms
	sed 's/\(VERSION_PACKAGE\)/\1$(DEB_VERSION_UPSTREAM)/; s/VERSION_PACKAGE\(.*\)+dfsg[0-9]*/\1/' debian/pom.xml.in > debian/pom.xml
	dh_auto_configure

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%, \
      repack, repacksuffix=+dfsg, compression=xz, dversionmangle=auto" \
 https://github.com/komiya-atsushi/xgboost-predictor-java/tags (?:.*?/)?(?:xgboost-predictor-)?(\d[\d.]*)\.tar\.gz
